# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ApitokensAuthorizeBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'refresh_token': 'str',
        'api_token': 'str'
    }

    attribute_map = {
        'refresh_token': 'refresh_token',
        'api_token': 'api_token'
    }

    def __init__(self, refresh_token=None, api_token=None):  # noqa: E501
        """ApitokensAuthorizeBody - a model defined in Swagger"""  # noqa: E501
        self._refresh_token = None
        self._api_token = None
        self.discriminator = None
        if refresh_token is not None:
            self.refresh_token = refresh_token
        if api_token is not None:
            self.api_token = api_token

    @property
    def refresh_token(self):
        """Gets the refresh_token of this ApitokensAuthorizeBody.  # noqa: E501

        The refresh token. Deprecated, need to use api_token  # noqa: E501

        :return: The refresh_token of this ApitokensAuthorizeBody.  # noqa: E501
        :rtype: str
        """
        return self._refresh_token

    @refresh_token.setter
    def refresh_token(self, refresh_token):
        """Sets the refresh_token of this ApitokensAuthorizeBody.

        The refresh token. Deprecated, need to use api_token  # noqa: E501

        :param refresh_token: The refresh_token of this ApitokensAuthorizeBody.  # noqa: E501
        :type: str
        """

        self._refresh_token = refresh_token

    @property
    def api_token(self):
        """Gets the api_token of this ApitokensAuthorizeBody.  # noqa: E501

        The API-token  # noqa: E501

        :return: The api_token of this ApitokensAuthorizeBody.  # noqa: E501
        :rtype: str
        """
        return self._api_token

    @api_token.setter
    def api_token(self, api_token):
        """Sets the api_token of this ApitokensAuthorizeBody.

        The API-token  # noqa: E501

        :param api_token: The api_token of this ApitokensAuthorizeBody.  # noqa: E501
        :type: str
        """

        self._api_token = api_token

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ApitokensAuthorizeBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ApitokensAuthorizeBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
